POST/shorts.v1alpha1.HousingService/FilterSuburbs

FilterSuburbs

Return a compact index-aligned mask for ANDed metric predicates.

Parameters

Connect-Protocol-VersionheaderRequired
number [1]

Define the version of the Connect protocol

Connect-Timeout-Msheader
number

Define the timeout, in ms

Request Body

application/json
object
predicatesarray

ANDed; at least one required (proto shorts.v1alpha1.SuburbMetricPredicate)

Array Items:
stateCodestring

required (proto string)

Responses

200Success
application/json
object
indexVersionstring

(proto string)

matchCountinteger

(proto uint32)

matchMaskstring <byte>

Packed match bitset aligned to GetSuburbIndex. Least-significant-bit first: position i is byte i/8, bit i%8; 1 means the suburb matches every predicate. (proto bytes)

defaultError
application/json
object

Error type returned by Connect: https://connectrpc.com/docs/go/errors/#http-representation

codestring [canceled, unknown, invalid_argument, deadline_exceeded, not_found, already_exists, permission_denied, resource_exhausted, failed_precondition, aborted, out_of_range, unimplemented, internal, unavailable, data_loss, unauthenticated]

The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].

detailsarray

A list of messages that carry the error details. There is no limit on the number of messages.

Array Items:
messagestring

A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.

curl -X POST "https://api.shorted.com.au/shorts.v1alpha1.HousingService/FilterSuburbs" \
  -H "Content-Type: application/json" \
  -d '{
  "predicates": [
    {
      "max": null,
      "metricKey": "string",
      "min": null
    }
  ],
  "stateCode": "string"
}'